/*
 * This source file was generated by FireStorm/DAO.
 * 
 * If you purchase a full license for FireStorm/DAO you can customize this header file.
 * 
 * For more information please visit http://www.codefutures.com/products/firestorm
 */

package umgnotas.eis.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/** 
 * This class represents the primary key of the tb_curso table.
 */
public class TbCursoPk implements Serializable
{
	protected Integer curCodigo;

	/** 
	 * Sets the value of curCodigo
	 */
	public void setCurCodigo(Integer curCodigo)
	{
		this.curCodigo = curCodigo;
	}

	/** 
	 * Gets the value of curCodigo
	 */
	public Integer getCurCodigo()
	{
		return curCodigo;
	}

	/**
	 * Method 'TbCursoPk'
	 * 
	 */
	public TbCursoPk()
	{
	}

	/**
	 * Method 'TbCursoPk'
	 * 
	 * @param curCodigo
	 */
	public TbCursoPk(final Integer curCodigo)
	{
		this.curCodigo = curCodigo;
	}

	/**
	 * Method 'equals'
	 * 
	 * @param _other
	 * @return boolean
	 */
	public boolean equals(Object _other)
	{
		if (_other == null) {
			return false;
		}
		
		if (_other == this) {
			return true;
		}
		
		if (!(_other instanceof TbCursoPk)) {
			return false;
		}
		
		final TbCursoPk _cast = (TbCursoPk) _other;
		if (curCodigo == null ? _cast.curCodigo != curCodigo : !curCodigo.equals( _cast.curCodigo )) {
			return false;
		}
		
		return true;
	}

	/**
	 * Method 'hashCode'
	 * 
	 * @return int
	 */
	public int hashCode()
	{
		int _hashCode = 0;
		if (curCodigo != null) {
			_hashCode = 29 * _hashCode + curCodigo.hashCode();
		}
		
		return _hashCode;
	}

	/**
	 * Method 'toString'
	 * 
	 * @return String
	 */
	public String toString()
	{
		StringBuffer ret = new StringBuffer();
		ret.append( "umgnotas.eis.dto.TbCursoPk: " );
		ret.append( "curCodigo=" + curCodigo );
		return ret.toString();
	}

}
